> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a PrivateLink connection

> Creates a new PrivateLink connection for the authenticated company.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /privatelink-connections
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /privatelink-connections:
    post:
      tags:
        - PrivateLink Connections
      summary: Create a PrivateLink connection
      description: Creates a new PrivateLink connection for the authenticated company.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterPrivateLinkConnectionCreateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsPrivateLinkConnection'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterPrivateLinkConnectionCreateRequest:
      properties:
        availabilityZoneIds:
          items:
            type: string
          type: array
        dataPlaneName:
          nullable: true
          type: string
        environmentUUID:
          format: uuid
          nullable: true
          type: string
        name:
          type: string
        vpcServiceName:
          type: string
      required:
        - vpcServiceName
        - availabilityZoneIds
      type: object
    PayloadsPrivateLinkConnection:
      properties:
        availabilityZoneIds:
          items:
            type: string
          type: array
        companyUUID:
          format: uuid
          type: string
        createdAt:
          format: date-time
          type: string
        dataPlaneName:
          nullable: true
          type: string
        dnsEntry:
          type: string
        environmentUUID:
          format: uuid
          type: string
        name:
          type: string
        region:
          type: string
        status:
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
        vpcEndpointId:
          type: string
        vpcServiceName:
          type: string
      required:
        - uuid
        - companyUUID
        - environmentUUID
        - createdAt
        - updatedAt
        - name
        - vpcServiceName
        - status
        - region
        - dnsEntry
        - availabilityZoneIds
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````